<?php
######################################################################################################
# Message Version 1.0 - [16/09/2024]                                                                 #
# fr_txt_admin.inc : variables langue affichage admin                                                #
# Module pour AdHoc CMS   Développé par JeanDenis                                                    #
# Site Web : https://adhoc.71site.fr/                                                                #
# D'après modules réalisés par Penanders https://www.cmsadhoc.net/                                   #
# Pop-up admin d'après Django Blais http://www.trucsweb.com/tutoriels/css/css-modal/                 #
# Licence : GNU-GPL V3                                                                               #
######################################################################################################

$msg_pnl += array(
	'module_title'	=> "Message",
	'module_info'	=> "Ce module additionnel simple permet de gérer un <b>formulaire de Message</b> dans un site adHoc.",
	'info_longue'	=> "Ce service vous permet de créer un <b>formulaire de Message</b>, de l'afficher afin que des visiteurs puissent vous envoyer un message et le valider.<br />
Le service envoie un <b>email</b> à l'adresse que le visiteur a fournie et celui-ci pourra valider son message à l'aide d'un code généré par le service (<b>double opt-in afin d'éviter l'usurpation d'adresse mail et limiter les spams</b>).<br />
Le code est un nombre aléatoire de 4 chiffres (de <b>1111</b> à <b>9999</b>). Vous fixez le nombre d'essais autorisés. Le code passe à la valeur <b>1000</b> dès la validation du formulaire de Message.<br >
Ce formulaire de Message peut être appelée par un lien, avec ce nom de fichier : <b>message.php</b>. Le reste de la procédure est automatique.<br />
Avec le lien ci-dessous, vous pourrez visualiser dans un <b>pop-up</b>, l'ensemble des messages transmis, et, si vous l'estimez nécessaire, de les exporter au format <b>.csv</b> dans un tableur. Les <b>intitulés courts</b> (3 ou 4 lettres ou chiffres) servent d'<b>en-tête de colonne du tableur</b>.",
	'affmess'		=> "Afficher - Exporter les enregistrements.",
	'affrec'		=> "Enregistrements du formulaire de Message",
	'affclo'		=> "Fermer le pop-up",
	'affexp'		=> "Exporter au format csv",
	'affdown'		=> "Télécharger le fichier : ",
	'connex'		=> "Le <b>formulaire de Message</b> n'est visible que par les membres connectés.",
	'info_mail'		=> "Inscrivez les <b>adresses de courriel</b> qui seront utilisées par le service :<br />
→ → Pour envoyer l'email de validation contenant le lien de confirmation et l'email de cette confirmation.<br />
→ → Pour vous envoyer la copie conforme (visible ou invisible) de ces messages.<br />
<b>Utilisez des adresses de votre domaine, notamment pour l'adresse d'expédition.</b><br />
<i>Pour information, ci-dessous, le début de l'URL de votre site qui sera proposée comme lien dans l'email envoyé pour confirmation, suivi du numéro unique d'enregistrement généré par le script.</i>",
	'mailexp'		=> "Courriel expéditeur",
	'mailcc'		=> "Courriel réception Copie conforme",
	'CC-CCI'		=> "→ → copie conforme (<b>Cc</b>) ou Copie conforme invisible (<b>Bcc</b>)",
	'CC1ou2'		=> "→ → réception copie conforme dès la soumission (ou, si '<b>non</b>' : juste lors de la validation)",
	'ess'			=> "Indiquez le nombre d'essais autorisés pour valider le code transmis par courriel.",
	'record'		=> "Lorsque vos réglages seront achevés, Souhaitez-vous, lors de l'enregistrement que la base de données du formulaire de Message soit (ré-)initialisée.<br />
Ne le faites que lorsque votre formulaire de Message est prêt à être diffusé.<br />
<b>NB</b> : Si <b>oui</b>, <u>tous les fichiers de l'éventuelle ancienne base seront irrémédiablement effacés.</u><br />
<i>Par sécurité, ce choix est remis à <b>non</b> une fois l'enregistrement effectué.</i><br />
<b>Attention</b>, si le formulaire de Message est actif pour les visiteurs, n'ajoutez plus ou ne supprimez plus de champs, ne modifiez plus d'intitulés courts. Si c'est le cas, réinitialisez la base de données.",
	'info_section1'	=> "<b>Complètez les renseignements demandés dans cette première partie obligatoire.</b>",
	'cons1'			=> "Rédigez la consigne générale de ce formulaire de Message.",
	's1nom'			=> "Intitulé du champ <b>Nom ou Pseudo</b> (<i>obligatoire</i>)",
	's1nomc'		=> "Intitulé court",
	's1ch2p'		=> "Champ éventuel <b>présent ?</b>",
	's1ch2r'		=> "Sera-t-il <b>obligatoire ?</b>",
	's1ch2'			=> "Intitulé de ce champ éventuel (prénom, âge...)",
	's1ch2c'		=> "Intitulé court",
	's1ch3p'		=> "Champ éventuel <b>présent ?</b>",
	's1ch3r'		=> "Sera-t-il <b>obligatoire ?</b>",
	's1ch3'			=> "Intitulé de ce champ éventuel (téléphone...)",
	's1ch3c'		=> "Intitulé court",
	's1mail'		=> "Intitulé du champ <b>Email ou Courriel</b> (<i>obligatoire</i>)",
	's1mailc'		=> "Intitulé court",
	'info_section3'	=> "<b>Complètez les renseignements demandés dans cette deuxième partie facultative.</b><br />
<b><i>Une liste déroulante possible.</i></b><br />
Pour son <b>contenu</b>, séparez les propositions par <b>|</b> :<br />
→ → ainsi pour ne pas laisser de proposition vide : <b>poire|pomme|cerise</b><br />
→ → ainsi pour laisser une proposition vide en tête de liste : <b>|poire|pomme|cerise</b>",
	'serie3'		=> "<b>Voulez-vous utiliser cette liste ?</b>",
	'cons3'			=> "Rédigez une consigne spécifique pour cette liste.",
	's3c1A'			=> "Intitulé de cette liste",
	's3c1Ac'		=> "Intitulé court",
	's3c1C'			=> "Contenu des différentes propositions de cette liste",
	's4c1'			=> "Intitulé champ de rédaction du Message sous la forme de <b>textarea</b> (zone de texte) dont la saisie sera obligatoire",
	's4c1c'			=> "Intitulé court",
	'page_title'	=> "Titre de la page (onglet)",
	'description'	=> "Description",
	'topmessage'	=> "Nom de la page",
	'sujet'			=> "Sujet des emails envoyés",
	'info_prive'	=> "Message d'info si privé",

// Ne pas modifier la ligne suivante
	'end'			=> "Fin"
)
?>
